[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPCServer.OnMessageQueued

Event called when a new message has arrived

## Declaration

Source position: simpleipc.pp line 218

`published property TSimpleIPCServer.OnMessageQueued : TNotifyEvent read FOnMessageQueued write FOnMessageQueued;`

## Description

OnMessageQueued is an event handler that is called whenever a new message is pushed on the queue.

## See also

TSimpleIPCServer.PeekMessage |  | Check if a client message is available.
TSimpleIPCServer.OnMessageError |  | Event called when a new message has arrived, and the queue is full